Few hours of playing with maven (multiple versions) and getting
increasingly annoyed by it... and I suddenly revisited this part of
the command:
  -DarchetypeGroupId:net.liftweb
":" should be "="!

Works just fine after that change :)
Alex

On Thu, Mar 12, 2009 at 6:34 PM, TylerWeir <tyler.w...@gmail.com> wrote:
>
> ooooo, k.  Since I'm getting the same error and I'm unsure why, try
> this on:
>
> mvn -e archetype:generate
>
> then you'll get a list mvn can make for you.  lift-blank is # 32.
>
> You then fill bits and pieces yourself like this:
>
> Choose a number:
> (1/2/3/4/5/6/7/8/9/10/11/12/13/14/15/16/17/18/19/20/21/22/23/24/25/26/27/28/29/30/31/32/33/34/35/36/37/38/39/40/41/42)
> 16: : 32
> [INFO] artifact net.liftweb:lift-archetype-blank: checking for updates
> from lift-archetype-blank-repo
> Define value for groupId: : ca.tylerweir
> Define value for artifactId: : HelloWorld
> Define value for version:  1.0-SNAPSHOT: :
> Define value for package:  ca.tylerweir: :
>
> Give that a shot.
>
> On Mar 12, 1:20 pm, "erik.fris...@googlemail.com"
> <erik.fris...@googlemail.com> wrote:
>> You are indeed right, my PDF was outdated. I have to admit though I
>> have no clue how that happened, I downloaded it today. Anyway, I ran
>> the following command:
>>
>> mvn archetype:generate -U \
>> -DarchetypeGroupId:net.liftweb \
>> -DarchetypeArtifactId=lift-archetype-blank \
>> -DarchetypeVersion=1.0 \
>> -DremoteRepositories=http://scala-tools.org/repo-releases\
>> -DgroupId=demo.helloworld \
>> -DartifactId=helloworld \
>> -Dversion=1.0-SNAPSHOT
>>
>> Now I get this error:
>>
>> The desired archetype does not exist (org.apache.maven.archetypes:lift-
>> archetype-blank:1.0)
>>
>> Before I run the error I again deleted the .m2. Thanks for the help,
>> got us a little closer to the solution. Is there something else I can
>> try to get this to work?
>>
>> Erik
>>
>> P.S. If I ever get to see the "BUILD SUCCESSFUL" I will pop me a cold
>> one and celebrate...
>>
>> On Mar 13, 4:09 am, TylerWeir <tyler.w...@gmail.com> wrote:
>>
>>
>>
>> > Grab the PDF again, looks like you have the slightly older one with a
>> > version typo.  Run this badboy:
>>
>> > mvn archetype:generate -U \
>> > -DarchetypeGroupId=net.liftweb \
>> > -DarchetypeArtifactId=lift-archetype-blank \
>> > -DarchetypeVersion=1.0 \
>> > -DremoteRepositories=http://scala-tools.org/repo-releases\
>> > -DgroupId=demo.helloworld \
>> > -DartifactId=helloworld \
>> > -Dversion=1.0-SNAPSHOT
>>
>> > Ty
>>
>> > On Mar 12, 1:00 pm, "erik.fris...@googlemail.com"
>>
>> > <erik.fris...@googlemail.com> wrote:
>> > > Hi again,
>>
>> > > I figured this one out. During some fixing I unwittingly overwrote
>> > > my .bash_profile, reverting maven to the 2.0.6 version. I am running
>> > > Leopard. I don't get this error anymore....you guessed it, I get
>> > > another. Now I get this:
>>
>> > > The desired archetype does not exist (org.apache.maven.archetypes:lift-
>> > > archetype-blank:0.10)
>>
>> > > I can post the stacktrace if it is of help, I exclude it for now so
>> > > this post remains somewhat readable. I am so desperately trying to get
>> > > this working to play around with the framework, but so far this has
>> > > been very depressing. I would greatly appreciate any hints or tips
>> > > what might be going wrong.
>>
>> > > mvn --version prints out this:
>> > > Maven version: 2.0.10
>> > > Java version: 1.5.0_16
>> > > OS name: "mac os x" version: "10.5.6" arch: "i386" Family: "unix"
> >
>

--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups 
"Lift" group.
To post to this group, send email to liftweb@googlegroups.com
To unsubscribe from this group, send email to 
liftweb+unsubscr...@googlegroups.com
For more options, visit this group at 
http://groups.google.com/group/liftweb?hl=en
-~----------~----~----~----~------~----~------~--~---

Reply via email to